[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#501096: aptitude: Questionable translation



Quoting Fernando J. Rodríguez (groucho@lugmen.org.ar):
> Package: aptitude
> Version: 0.4.11.8-1
> Severity: minor
> Tags: patch l10n
> 
> Hi!
> Aptitude localized to Spanish displays the "Replaces:" header as
> "Remplazar:" which a vulgar spelling and careless pronunciation of
> "Reemplazar:".


Let's ask the Debian l10n Spanish team. Folks:

> A dictionary lawyer would argue that the RAE Dictionary has an entry
> for "remplazar" but that doesn't make it the appropiate spelling for the
> Debian operating system.
> It is also a matter of consistency: there are 2 occurences of
> "reemplazar" in the po/es.po file, and 3 of "remplazar", but before you
> or the translators decide to uniform spelling by turning the 2
> "reemplazar" into "remplazar", let me note that a google fight between
> reemplazar" and "remplazar" goes 3950000/250000 in favour of
> "reemplazar".
> 
> This patch fixes the issue:
> diff -ru aptitude-0.4.11.8/po/es.po aptitude-0.4.11.8.new/po/es.po
> --- aptitude-0.4.11.8/po/es.po	2008-07-04 13:13:48.000000000 -0300
> +++ aptitude-0.4.11.8.new/po/es.po	2008-10-04 00:00:56.000000000 -0300
> @@ -2064,7 +2064,7 @@
> 
> #: src/cmdline/cmdline_show.cc:431
>  msgid "Replaces"
> -msgstr "Remplaza"
> +msgstr "Reemplaza"
> 
> #: src/cmdline/cmdline_show.cc:433
>  msgid "Obsoletes"
> @@ -4718,7 +4718,7 @@
> 
> #: src/reason_fragment.cc:43
>  msgid "replaces"
> -msgstr "remplaza"
> +msgstr "reemplaza"
> 
> #: src/reason_fragment.cc:44
>  msgid "obsoletes"
> @@ -4977,7 +4977,7 @@
> #: src/solution_fragment.cc:124
> #, c-format
>  msgid "%s replaces %s"
> -msgstr "%s remplaza %s"
> +msgstr "%s reemplaza %s"
> 
> #: src/solution_fragment.cc:127
> #, c-format
> 
> Thanks for your great work and have a nice day.
> 
> -- Package-specific info:
> aptitude 0.4.11.8 compilado en Jul  4 2008 17:26:43
> Compilador: g++ 4.3.1
> Compiled against:
>   apt version 4.6.0
>   NCurses version 5.6
>   libsigc++ version: 2.0.18
>   Ept support enabled.
> 
> Current library versions:
>   NCurses version: ncurses 5.6.20080830
>   cwidget version: 0.5.12
>   Apt version: 4.6.0
> 	linux-vdso.so.1 =>  (0x00007fff543fe000)
> 	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6 (0x00007fb04beda000)
> 	libncursesw.so.5 => /lib/libncursesw.so.5 (0x00007fb04bc8f000)
> 	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007fb04ba8a000)
> 	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007fb04b7b7000)
> 	libept.so.0 => /usr/lib/libept.so.0 (0x00007fb04b53e000)
> 	libxapian.so.15 => /usr/lib/libxapian.so.15 (0x00007fb04b1d4000)
> 	libz.so.1 => /usr/lib/libz.so.1 (0x00007fb04afbd000)
> 	libpthread.so.0 => /lib/libpthread.so.0 (0x00007fb04ada1000)
> 	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fb04aa95000)
> 	libm.so.6 => /lib/libm.so.6 (0x00007fb04a812000)
> 	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007fb04a5fb000)
> 	libc.so.6 => /lib/libc.so.6 (0x00007fb04a2a8000)
> 	libutil.so.1 => /lib/libutil.so.1 (0x00007fb04a0a5000)
> 	libdl.so.2 => /lib/libdl.so.2 (0x00007fb049ea1000)
> 	/lib64/ld-linux-x86-64.so.2 (0x00007fb04c19a000)
> Terminal: xterm
> $DISPLAY is set.
> `which aptitude`: /usr/bin/aptitude
> aptitude version information:
> 
> aptitude linkage:
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
> Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages aptitude depends on:
> ii  apt [libapt-pkg-libc6. 0.7.14+b1         Advanced front-end for dpkg
> ii  libc6                  2.7-13            GNU C Library: Shared libraries
> ii  libcwidget3            0.5.12-1          high-level terminal interface libr
> ii  libept0                0.5.22            High-level library for managing De
> ii  libgcc1                1:4.3.1-9         GCC support library
> ii  libncursesw5           5.6+20080830-1    shared libraries for terminal hand
> ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
> ii  libstdc++6             4.3.1-9           The GNU Standard C++ Library v3
> ii  libxapian15            1.0.7-3           Search engine library
> ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime
> 
> Versions of packages aptitude recommends:
> pn  aptitude-doc-en | aptitude-do <none>     (no description available)
> pn  libparse-debianchangelog-perl <none>     (no description available)
> 
> Versions of packages aptitude suggests:
> pn  debtags                       <none>     (no description available)
> pn  tasksel                       <none>     (no description available)
> 
> -- no debconf information
> 
> 
> 
> 
> 
>  ** CRM114 Whitelisted by: owner@bugs.debian.org **
> 

-- 


Attachment: signature.asc
Description: Digital signature


Reply to: